## fcitx-qt5 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.5)

project(fcitx-qt5)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
include(GNUInstallDirs)

get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE} IMPORTED_LOCATION)

execute_process(COMMAND ${REAL_QMAKE_EXECUTABLE} -query QT_INSTALL_PLUGINS
OUTPUT_VARIABLE _Qt5_PLUGIN_INSTALL_DIR ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE
)

if (NOT _Qt5_PLUGIN_INSTALL_DIR)
    message(FATAL_ERROR "not found qt5 plugin dir")
endif (NOT _Qt5_PLUGIN_INSTALL_DIR)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(fcitx-qt5)
add_subdirectory(src)

=== src/CMakeLists.txt ===
include_directories(${Qt5Core_INCLUDE_DIRS}
                    ${Qt5Gui_INCLUDE_DIRS}
                    ${Qt5DBus_INCLUDE_DIRS}
)

find_path(Qt5Gui_INCLUDE_DIRECTORY
           NAMES QtGuiVersion
           HINTS ${Qt5Gui_INCLUDE_DIRS})

include_directories(${Qt5Gui_INCLUDE_DIRECTORY}/${Qt5Gui_VERSION}/QtGui)


set(plugin_SRCS
    qfcitxplatforminputcontext.cpp
    keyuni.cpp
    main.cpp
    utils.cpp
)

set(plugin_MOC_HDRS
    qfcitxplatforminputcontext.h
    main.h
)

qt5_wrap_cpp(plugin_MOCS ${plugin_MOC_HDRS})

add_library(fcitxplatforminputcontextplugin MODULE ${plugin_SRCS} ${plugin_MOCS})
set_target_properties(fcitxplatforminputcontextplugin PROPERTIES
                         COMPILE_FLAGS "-fvisibility=hidden"
                         LINK_FLAGS "-Wl,--no-undefined"
                        )

target_link_libraries(fcitxplatforminputcontextplugin
                          ${Qt5Core_LIBRARIES}
                          ${Qt5Gui_LIBRARIES}
                          ${Qt5DBus_LIBRARIES}
                          fcitx-qt5
                         )

install(TARGETS fcitxplatforminputcontextplugin DESTINATION ${_Qt5_PLUGIN_INSTALL_DIR}/platforminputcontexts)

=== debian/changelog ===
fcitx-qt5 (0.1.1-3ubuntu2) trusty; urgency=medium

  * Rebuild to solve a powerpc dependency problem.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 07 Mar 2014 11:43:17 +0200

fcitx-qt5 (0.1.1-3ubuntu1) trusty; urgency=medium

  * Rebuild against Qt 5.2.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 05 Mar 2014 09:53:29 +0200

fcitx-qt5 (0.1.1-3) unstable; urgency=low

  * debian/control: recommends fcitc-frontend-qt5.

 -- Aron Xu <aron@debian.org>  Mon, 07 Oct 2013 20:37:17 +0800

fcitx-qt5 (0.1.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Aron Xu <aron@debian.org>  Sun, 06 Oct 2013 17:31:49 +0800

fcitx-qt5 (0.1.1-1) experimental; urgency=low

  * Initial release (Closes: #708322).

 -- Aron Xu <aron@debian.org>  Wed, 15 May 2013 14:13:09 +0800

=== debian/control ===
Source: fcitx-qt5
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), cmake, pkg-config, intltool,
               fcitx-libs-dev (>= 1:4.2.8), qtbase5-dev, qtbase5-private-dev
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-qt5.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-qt5.git

Package: fcitx-frontend-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-module-dbus
Description: Free Chinese Input Toy of X - Qt5 IM Module frontend
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. 
 It is highly modularized and extensible, 
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm, 
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package provides the Qt5 IM Module frontend, which is necessary
 for Fcitx users who would like to use Qt5 applications.

Package: fcitx-libs-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fcitx-frontend-qt5
Description: Free Chinese Input Toy of X - D-Bus client library for Qt5
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. 
 It is highly modularized and extensible, 
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm, 
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package contains the following library:
  * libfcitx-qt5 - D-Bus client library for Qt5

Package: fcitx-libs-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-libs-qt5 (= ${binary:Version})
Recommends: fcitx-libs-dev
Description: Free Chinese Input Toy of X - Devel files for libfcitx-qt5
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. 
 It is highly modularized and extensible, 
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm, 
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package provides the development files for fcitx-libs-qt5.

Package: fcitx-libs-qt5-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-libs-qt5 (= ${binary:Version})
Recommends: fcitx-dbg
Description: Free Chinese Input Toy of X - Debugging symbols for libfcitx-qt5
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. 
 It is highly modularized and extensible, 
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm, 
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package provides the debugging symbols for fcitx-libs-qt5.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ 

override_dh_strip:
	dh_strip --dbg-package=fcitx-libs-qt5-dbg

## fcitx-qt5 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Gui REQUIRED)
-find_package(Qt5Widgets REQUIRED)
 find_package(Qt5DBus REQUIRED)
 include(GNUInstallDirs)

=== fcitx-qt5/CMakeLists.txt ===
set(fcitx_qt_SOURCES
    fcitxqtconnection.cpp
    fcitxqtformattedpreedit.cpp
    fcitxqtinputcontextproxy.cpp
    fcitxqtinputmethodproxy.cpp
    fcitxqtkeyboardlayout.cpp
    fcitxqtkeyboardproxy.cpp
    fcitxqtinputmethoditem.cpp
    )

set(fcitx_qt_HEADERS
    fcitxqtconnection.h
    fcitxqt_export.h
    fcitxqtformattedpreedit.h
    fcitxqtinputcontextproxy.h
    fcitxqtinputmethodproxy.h
    fcitxqtkeyboardlayout.h
    fcitxqtkeyboardproxy.h
    fcitxqtinputmethoditem.h
)

include_directories(${Qt5Core_INCLUDE_DIRS}
                    ${Qt5Gui_INCLUDE_DIRS}
                    ${Qt5DBus_INCLUDE_DIRS}
)

qt5_wrap_cpp(
    fcitx_qt_MOC_SRCS
    ${fcitx_qt_HEADERS}
    fcitxqtconnection_p.h
)

add_library(fcitx-qt5 SHARED ${fcitx_qt_SOURCES} ${fcitx_qt_MOC_SRCS})
set_target_properties(fcitx-qt5
                      PROPERTIES VERSION 0.1
                      SOVERSION 0
                      COMPILE_FLAGS "-fvisibility=hidden"
                      LINK_FLAGS "-Wl,--no-undefined"
)

target_link_libraries(
    fcitx-qt5
    ${Qt5Core_LIBRARIES}
    ${Qt5Gui_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
)

install(TARGETS fcitx-qt5 LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

configure_file(fcitx-qt5.pc.in ${CMAKE_CURRENT_BINARY_DIR}/fcitx-qt5.pc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx-qt5.pc
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

install(FILES ${fcitx_qt_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/fcitx-qt5")

=== debian/changelog ===
fcitx-qt5 (0.1.2-2) unstable; urgency=low

  * Add libegl1-mesa-dev to B-D (Closes: #753204)
    Thanks lisandro@d.o for the solution.

 -- Aron Xu <aron@debian.org>  Sun, 06 Jul 2014 01:44:29 +0800

fcitx-qt5 (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Thu, 29 May 2014 22:09:29 +0800

=== debian/control ===
Source: fcitx-qt5
Section: libs
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               fcitx-libs-dev (>= 1:4.2.8),
               intltool,
               libegl1-mesa-dev,
               pkg-config,
               qtbase5-dev,
               qtbase5-private-dev
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-qt5.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-qt5.git

Package: fcitx-frontend-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fcitx-module-dbus, ${misc:Depends}, ${shlibs:Depends}
Description: Free Chinese Input Toy of X - Qt5 IM Module frontend
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables.
 It is highly modularized and extensible,
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package provides the Qt5 IM Module frontend, which is necessary
 for Fcitx users who would like to use Qt5 applications.

Package: fcitx-libs-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fcitx-frontend-qt5
Description: Free Chinese Input Toy of X - D-Bus client library for Qt5
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables.
 It is highly modularized and extensible,
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package contains the following library:
  * libfcitx-qt5 - D-Bus client library for Qt5

Package: fcitx-libs-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: fcitx-libs-qt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fcitx-libs-dev
Description: Free Chinese Input Toy of X - Devel files for libfcitx-qt5
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables.
 It is highly modularized and extensible,
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package provides the development files for fcitx-libs-qt5.

Package: fcitx-libs-qt5-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: fcitx-libs-qt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fcitx-dbg
Description: Free Chinese Input Toy of X - Debugging symbols for libfcitx-qt5
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables.
 It is highly modularized and extensible,
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package provides the debugging symbols for fcitx-libs-qt5.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CXXFLAGS += $(CPPFLAGS)
 
 %:
-	dh $@ 
+	dh $@ --parallel
 
 override_dh_strip:
 	dh_strip --dbg-package=fcitx-libs-qt5-dbg

## fcitx-qt5 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.5)

project(fcitx-qt5)

set(FcitxQt5_VERSION 1.0.0)
set(REQUIRED_QT_VERSION 5.1.0)

find_package(ECM 1.4.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(GNUInstallDirs)
include(FindPkgConfig)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Widgets)
find_package(Qt5Gui ${REQUIRED_QT_VERSION} REQUIRED Private)
pkg_check_modules(FCITX_UTILS fcitx-utils)
pkg_check_modules(FCITX_CONFIG fcitx-config)

set(FcitxQt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/FcitxQt5)
add_subdirectory(dbusaddons)
add_subdirectory(widgetsaddons)
add_subdirectory(platforminputcontext)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== dbusaddons/CMakeLists.txt ===
ecm_setup_version(${FcitxQt5_VERSION} VARIABLE_PREFIX FCITXQT5DBUSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitxqtdbusaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5DBusAddonsConfigVersion.cmake"
                        SOVERSION 1)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/cmake/FcitxQt5DBusAddons")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/FcitxQt5DBusAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5DBusAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5DBusAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5DBusAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT FcitxQt5DBusAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE FcitxQt5DBusAddonsTargets.cmake NAMESPACE FcitxQt5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitxqtdbusaddons_version.h
        DESTINATION ${FcitxQt5_INCLUDE_INSTALL_DIR} COMPONENT Devel )

set(dbusaddons_SOURCES
    fcitxqtconnection.cpp
    fcitxqtformattedpreedit.cpp
    fcitxqtinputcontextproxy.cpp
    fcitxqtinputmethodproxy.cpp
    fcitxqtkeyboardlayout.cpp
    fcitxqtkeyboardproxy.cpp
    fcitxqtinputmethoditem.cpp
    )

set(dbusaddons_HEADERS
    fcitxqtconnection.h
    fcitxqtformattedpreedit.h
    fcitxqtinputcontextproxy.h
    fcitxqtinputmethodproxy.h
    fcitxqtkeyboardlayout.h
    fcitxqtkeyboardproxy.h
    fcitxqtinputmethoditem.h
)

set(fcitxqtdbusaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_library(FcitxQt5DBusAddons SHARED ${dbusaddons_SOURCES})
generate_export_header(FcitxQt5DBusAddons BASE_NAME FcitxQtDBusAddons)
add_library(FcitxQt5::DBusAddons ALIAS FcitxQt5DBusAddons)

target_include_directories(FcitxQt5DBusAddons PUBLIC "$<BUILD_INTERFACE:${fcitxqtdbusaddons_INCLUDE_DIRS}>")
target_include_directories(FcitxQt5DBusAddons INTERFACE "$<INSTALL_INTERFACE:${FcitxQt5_INCLUDE_INSTALL_DIR}/FcitxQtDBusAddons>")

set_target_properties(FcitxQt5DBusAddons
                      PROPERTIES VERSION 1.0
                      AUTOMOC TRUE
                      SOVERSION 1
                      COMPILE_FLAGS "-fvisibility=hidden"
                      LINK_FLAGS "-Wl,--no-undefined"
                      EXPORT_NAME DBusAddons
)

target_link_libraries(
    FcitxQt5DBusAddons
    PUBLIC
        Qt5::Core
        Qt5::DBus
)

install(TARGETS FcitxQt5DBusAddons EXPORT FcitxQt5DBusAddonsTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

install(FILES ${dbusaddons_HEADERS}
              ${CMAKE_CURRENT_BINARY_DIR}/fcitxqtdbusaddons_export.h
              DESTINATION "${FcitxQt5_INCLUDE_INSTALL_DIR}/FcitxQtDBusAddons")

=== platforminputcontext/CMakeLists.txt ===
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})


set(plugin_SRCS
    qfcitxplatforminputcontext.cpp
    keyuni.cpp
    main.cpp
    utils.cpp
)

set(plugin_MOC_HDRS
    qfcitxplatforminputcontext.h
    main.h
)

add_library(fcitxplatforminputcontextplugin MODULE ${plugin_SRCS})
set_target_properties(fcitxplatforminputcontextplugin PROPERTIES
                         AUTOMOC TRUE
                         COMPILE_FLAGS "-fvisibility=hidden"
                         LINK_FLAGS "-Wl,--no-undefined"
                        )

target_link_libraries(fcitxplatforminputcontextplugin
                          Qt5::Core
                          Qt5::Gui
                          Qt5::DBus
                          FcitxQt5::DBusAddons
                         )

include(ECMQueryQmake)
query_qmake(CMAKE_INSTALL_QTPLUGINDIR QT_INSTALL_PLUGINS)
install(TARGETS fcitxplatforminputcontextplugin DESTINATION ${CMAKE_INSTALL_QTPLUGINDIR}/platforminputcontexts)

=== widgetsaddons/CMakeLists.txt ===
ecm_setup_version(${FcitxQt5_VERSION} VARIABLE_PREFIX FCITXQT5WIDGETSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitxqtwidgetsaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5WidgetsAddonsConfigVersion.cmake"
                        SOVERSION 1)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/cmake/FcitxQt5WidgetsAddons")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/FcitxQt5WidgetsAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5WidgetsAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5WidgetsAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5WidgetsAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT FcitxQt5WidgetsAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE FcitxQt5WidgetsAddonsTargets.cmake NAMESPACE FcitxQt5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitxqtwidgetsaddons_version.h
        DESTINATION ${FcitxQt5_INCLUDE_INSTALL_DIR} COMPONENT Devel )

set(widgetsaddons_SOURCES
    fcitxqtconfiguifactory.cpp
    fcitxqtconfiguiplugin.cpp
    fcitxqtconfiguiwidget.cpp
    fcitxqtkeysequencewidget.cpp
    qtkeytrans.cpp
    )

set(widgetsaddons_HEADERS
    fcitxqtconfiguifactory.h
    fcitxqtconfiguiplugin.h
    fcitxqtconfiguiwidget.h
    fcitxqtkeysequencewidget.h
)

set(fcitxqtwidgetsaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${FCITX_UTILS_INCLUDE_DIRS}
)

add_library(FcitxQt5WidgetsAddons SHARED ${widgetsaddons_SOURCES})
generate_export_header(FcitxQt5WidgetsAddons BASE_NAME FcitxQtWidgetsAddons)
add_library(FcitxQt5::WidgetsAddons ALIAS FcitxQt5WidgetsAddons)

target_include_directories(FcitxQt5WidgetsAddons PUBLIC "$<BUILD_INTERFACE:${fcitxqtwidgetsaddons_INCLUDE_DIRS}>")
target_include_directories(FcitxQt5WidgetsAddons INTERFACE "$<INSTALL_INTERFACE:${FcitxQt5_INCLUDE_INSTALL_DIR}/FcitxQtWidgetsAddons>")

set_target_properties(FcitxQt5WidgetsAddons
                      PROPERTIES VERSION 1.0
                      AUTOMOC TRUE
                      SOVERSION 1
                      COMPILE_FLAGS "-fvisibility=hidden"
                      LINK_FLAGS "-Wl,--no-undefined"
                      EXPORT_NAME WidgetsAddons
)

target_link_libraries(FcitxQt5WidgetsAddons
    PUBLIC
        Qt5::Core
        Qt5::Widgets
    PRIVATE
        ${FCITX_UTILS_LIBRARIES}
        ${FCITX_CONFIG_LIBRARIES}
)

install(TARGETS FcitxQt5WidgetsAddons EXPORT FcitxQt5WidgetsAddonsTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

install(FILES ${widgetsaddons_HEADERS}
              ${CMAKE_CURRENT_BINARY_DIR}/fcitxqtwidgetsaddons_export.h
              DESTINATION "${FcitxQt5_INCLUDE_INSTALL_DIR}/FcitxQtWidgetsAddons")

=== debian/changelog ===
fcitx-qt5 (1.0.1-0ubuntu2) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 21:28:47 +0300

fcitx-qt5 (1.0.1-0ubuntu1) vivid; urgency=medium

  * New upstream minor release.

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 26 Mar 2015 04:45:56 +0800

fcitx-qt5 (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright
  * Bump package name to libfcitx-qt5-1.
  * Add extra-cmake-modules to B-D
  * Update install file and symbols
  * Update homepage, update description of transitional package

 -- Aron Xu <aron@debian.org>  Tue, 10 Feb 2015 01:57:55 +0800

fcitx-qt5 (0.1.2-4) experimental; urgency=medium

  * Update symbols file for arm and power architectures.

 -- Aron Xu <aron@debian.org>  Mon, 17 Nov 2014 23:02:02 +0800

fcitx-qt5 (0.1.2-3) experimental; urgency=medium

  * Allow parallel building.
  * Transit package names to libfcitx-qt5 and friends.
  * Remove unused ${shlib:Depends}.
  * Update copyright information.
  * Disable DH_VERBOSE.
  * Bump std-ver to 3.9.6
  * Add symbols file for library package.

 -- Aron Xu <aron@debian.org>  Tue, 11 Nov 2014 00:09:01 +0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: fcitx-qt5
 Section: libs
 Priority: optional
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9),
+               extra-cmake-modules (>= 1.4.0),
                fcitx-libs-dev (>= 1:4.2.8),
                intltool,
-               libegl1-mesa-dev,
                pkg-config,
                qtbase5-dev,
                qtbase5-private-dev
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/fcitx
+Standards-Version: 3.9.6
+Homepage: http://www.fcitx-im.org
 Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-qt5.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-qt5.git
 
@@ -38,12 +39,22 @@
  for Fcitx users who would like to use Qt5 applications.
 
 Package: fcitx-libs-qt5
+Architecture: all
+Section: oldlibs
+Depends: libfcitx-qt5-1 (>= ${source:Version}), ${misc:Depends}
+Recommends: fcitx-frontend-qt5
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
+Package: libfcitx-qt5-1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: fcitx-libs-qt5 (<< 1.0.0)
+Replaces: fcitx-libs-qt5 (<< 1.0.0)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: fcitx-frontend-qt5
-Description: Free Chinese Input Toy of X - D-Bus client library for Qt5
+Description: Free Chinese Input Toy of X - D-Bus client libraries for Qt5
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved
  into a highly modularized, feature rich input method framework for
@@ -56,16 +67,17 @@
  with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
  pure Xlib, GTK+, or KDE, and a developer-friendly API.
  .
- This package contains the following library:
-  * libfcitx-qt5 - D-Bus client library for Qt5
+ This package contains the following libraries:
+  * libFcitxQt5DBusAddons - D-Bus Addons library for Qt5
+  * libFcitxQt5WidgetsAddons - Widgets Addons library for Qt5
 
-Package: fcitx-libs-qt5-dev
+Package: libfcitx-qt5-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: fcitx-libs-qt5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Breaks: fcitx-libs-qt5-dev
+Replaces: fcitx-libs-qt5-dev
+Depends: libfcitx-qt5-1 (= ${binary:Version}), ${misc:Depends}
 Recommends: fcitx-libs-dev
 Description: Free Chinese Input Toy of X - Devel files for libfcitx-qt5
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
@@ -80,16 +92,16 @@
  with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
  pure Xlib, GTK+, or KDE, and a developer-friendly API.
  .
- This package provides the development files for fcitx-libs-qt5.
+ This package provides the development files of fcitx-qt5.
 
-Package: fcitx-libs-qt5-dbg
+Package: libfcitx-qt5-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Multi-Arch: same
-Depends: fcitx-libs-qt5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Breaks: fcitx-libs-qt5-dbg
+Replaces: fcitx-libs-qt5-dbg
+Depends: libfcitx-qt5-1 (= ${binary:Version}), ${misc:Depends}
 Recommends: fcitx-dbg
 Description: Free Chinese Input Toy of X - Debugging symbols for libfcitx-qt5
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
@@ -104,4 +116,4 @@
  with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
  pure Xlib, GTK+, or KDE, and a developer-friendly API.
  .
- This package provides the debugging symbols for fcitx-libs-qt5.
+ This package provides the debugging symbols for fcitx-qt5.

## fcitx-qt5 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.5)
+cmake_minimum_required(VERSION 2.8.12)
 
 project(fcitx-qt5)
 
@@ -10,17 +10,27 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(GNUInstallDirs)
-include(FindPkgConfig)
 include(FeatureSummary)
 include(GenerateExportHeader)
 include(ECMPackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 
+include(CheckCXXCompilerFlag)
+
+check_cxx_compiler_flag("-std=c++11" SUPPORT_CXX11)
+
+if(NOT SUPPORT_CXX11)
+    message(FATAL_ERROR "need c++ 11 compatible compiler to compile")
+endif()
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall")
+
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Widgets)
 find_package(Qt5Gui ${REQUIRED_QT_VERSION} REQUIRED Private)
-pkg_check_modules(FCITX_UTILS fcitx-utils)
-pkg_check_modules(FCITX_CONFIG fcitx-config)
+find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)
+pkg_check_modules(FCITX_UTILS fcitx-utils REQUIRED)
+pkg_check_modules(FCITX_CONFIG fcitx-config REQUIRED)
 
 set(FcitxQt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/FcitxQt5)
 add_subdirectory(dbusaddons)

=== dbusaddons/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
                         SOVERSION 1)
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
-set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/cmake/FcitxQt5DBusAddons")
+set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/FcitxQt5DBusAddons")
 
 ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/FcitxQt5DBusAddonsConfig.cmake.in"
                               "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5DBusAddonsConfig.cmake"

=== platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
                           Qt5::Gui
                           Qt5::DBus
                           FcitxQt5::DBusAddons
+                          XKBCommon::XKBCommon
                          )
 
 include(ECMQueryQmake)

=== widgetsaddons/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,15 @@
+link_directories(
+    ${FCITX_UTILS_LIBRARY_DIRS}
+    ${FCITX_CONFIG_LIBRARY_DIRS}
+)
+
 ecm_setup_version(${FcitxQt5_VERSION} VARIABLE_PREFIX FCITXQT5WIDGETSADDONS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitxqtwidgetsaddons_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5WidgetsAddonsConfigVersion.cmake"
                         SOVERSION 1)
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
-set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/cmake/FcitxQt5WidgetsAddons")
+set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/FcitxQt5WidgetsAddons")
 
 ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/FcitxQt5WidgetsAddonsConfig.cmake.in"
                               "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5WidgetsAddonsConfig.cmake"

=== debian/changelog ===
fcitx-qt5 (1.0.5-1) unstable; urgency=medium

  * Imported Upstream version 1.0.5

 -- Aron Xu <aron@debian.org>  Fri, 25 Dec 2015 15:51:50 +0800

fcitx-qt5 (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * Update symbols
  * Update path of CMake files

 -- Aron Xu <aron@debian.org>  Fri, 30 Oct 2015 17:03:51 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx-qt5
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9),

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ --parallel --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libfcitx-qt5-dbg

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-qt5-*\.*(.*)\.tar\.xz

## fcitx-qt5 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.1)
 
 project(fcitx-qt5)
 
-set(FcitxQt5_VERSION 1.0.0)
+set(FcitxQt5_VERSION 1.1.0)
 set(REQUIRED_QT_VERSION 5.1.0)
 
 find_package(ECM 1.4.0 REQUIRED NO_MODULE)
@@ -12,7 +12,7 @@
 include(GNUInstallDirs)
 include(FeatureSummary)
 include(GenerateExportHeader)
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 
@@ -29,12 +29,13 @@
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Widgets)
 find_package(Qt5Gui ${REQUIRED_QT_VERSION} REQUIRED Private)
 find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)
-pkg_check_modules(FCITX_UTILS fcitx-utils REQUIRED)
-pkg_check_modules(FCITX_CONFIG fcitx-config REQUIRED)
+find_package(Fcitx 4.2.8 REQUIRED)
+find_package(LibIntl REQUIRED)
 
 set(FcitxQt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/FcitxQt5)
 add_subdirectory(dbusaddons)
 add_subdirectory(widgetsaddons)
 add_subdirectory(platforminputcontext)
+add_subdirectory(guiwrapper)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -29,5 +29,7 @@
                          )
 
 include(ECMQueryQmake)
+if (NOT CMAKE_INSTALL_QTPLUGINDIR)
 query_qmake(CMAKE_INSTALL_QTPLUGINDIR QT_INSTALL_PLUGINS)
+endif()
 install(TARGETS fcitxplatforminputcontextplugin DESTINATION ${CMAKE_INSTALL_QTPLUGINDIR}/platforminputcontexts)

=== debian/changelog ===
fcitx-qt5 (1.1.1-1build3) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 21:59:01 -0500

fcitx-qt5 (1.1.1-1build2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:47:42 -0600

fcitx-qt5 (1.1.1-1build1) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:14:36 -0500

fcitx-qt5 (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging instructions.
    + Use canonical Vcs URL.
    + Limit cmake version explicitly.
  * Drop transitional dummy package fcitx-libs-qt5.
    (real package in jessie; dummy in stretch; removed in buster)
  * Point d/watch to download.fcitx-im.org.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Sep 2017 00:18:54 +0800

fcitx-qt5 (1.1.0-1) unstable; urgency=medium

  * Team upload
  * Imported Upstream version 1.1.0 (Closes: #873063, #851953)
  * d/watch: change upstream url to github
  * Remove libfcitx-qt5-dbg
  * Update compat, debhelper to 10
  * Change various insecure url to https
  * Use dh_missing --fail-missing instead
  * Install fcitx-qt5-gui-wrapper
  * Bump Standards-Version to 4.1.0
  * Update symbols

 -- Shengjing Zhu <i@zhsj.me>  Mon, 28 Aug 2017 18:15:36 +0800

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: cmake,
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.1),
+               debhelper (>= 10),
                extra-cmake-modules (>= 1.4.0),
                fcitx-libs-dev (>= 1:4.2.8),
                intltool,
                pkg-config,
                qtbase5-dev,
-               qtbase5-private-dev
-Standards-Version: 3.9.6
-Homepage: http://www.fcitx-im.org
-Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-qt5.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-qt5.git
+               qtbase5-private-dev,
+Standards-Version: 4.1.0
+Homepage: https://www.fcitx-im.org
+Vcs-Git: https://anonscm.debian.org/git/pkg-ime/fcitx-qt5.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/fcitx-qt5.git
 
 Package: fcitx-frontend-qt5
 Architecture: any
@@ -36,14 +36,6 @@
  .
  This package provides the Qt5 IM Module frontend, which is necessary
  for Fcitx users who would like to use Qt5 applications.
-
-Package: fcitx-libs-qt5
-Architecture: all
-Section: oldlibs
-Depends: libfcitx-qt5-1 (>= ${source:Version}), ${misc:Depends}
-Recommends: fcitx-frontend-qt5
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
 
 Package: libfcitx-qt5-1
 Architecture: any
@@ -92,27 +84,3 @@
  pure Xlib, GTK+, or KDE, and a developer-friendly API.
  .
  This package provides the development files of fcitx-qt5.
-
-Package: libfcitx-qt5-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Multi-Arch: same
-Breaks: fcitx-libs-qt5-dbg
-Replaces: fcitx-libs-qt5-dbg
-Depends: libfcitx-qt5-1 (= ${binary:Version}), ${misc:Depends}
-Recommends: fcitx-dbg
-Description: Free Chinese Input Toy of X - Debugging symbols for libfcitx-qt5
- Fcitx is the Free Chinese Input Toy of X, which was initially designed
- for Chinese users, and used XIM protocol. Now it has already evolved
- into a highly modularized, feature rich input method framework for
- Unix-like platforms supporting a considerable amount of frontends,
- backends and modules.
- .
- It offers a pleasant and modern experience, with intuitive graphical
- configuration tools and customizable skins and mapping tables.
- It is highly modularized and extensible,
- with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
- pure Xlib, GTK+, or KDE, and a developer-friendly API.
- .
- This package provides the debugging symbols for fcitx-qt5.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_missing:
	 dh_missing --fail-missing --list-missing

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-qt5/ \
 fcitx-qt5-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate

## fcitx-qt5 1.2.3

=== debian/changelog ===
fcitx-qt5 (1.2.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Update Vcs-* field and use the repo under Debian
    Salsa input-method team.
  * debian/control: Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/copyright: Update upstream src url to gitlab.com project.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Oct 2018 13:58:48 -0400

fcitx-qt5 (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Fix FTBFS with Qt 5.11.
  * Apply "wrap-and-sort -abst".
  * debian/control: Update YunQiang Su's email address with @debian.org one.
  * Drop backported patches.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 03 Jul 2018 11:18:04 +0800

fcitx-qt5 (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.4. (no changes needed)
  * d/patches: Backport upstream patch to fix FTBFS with Qt 5.11.
  * d/control: Fix versioned break relationship for quickphrase editor.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Apr 2018 11:08:45 +0800

fcitx-qt5 (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.3. (no changes needed)
  * Bump debhelper compat to v11.
  * d/copyright: Update information.
  * d/rules: Enable full hardening.
  * d/control: Add package fcitx-module-quickphrase-editor, migrated
    from src:fcitx.
  * d/control: Add package libfcitx-qt5-data to provide l10n files.
  * d/control: Use debian-input-method maillist in maintainer field.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 16 Feb 2018 11:13:46 +0800

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,33 @@
 Source: fcitx-qt5
 Section: libs
 Priority: optional
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: cmake (>= 3.1),
-               debhelper (>= 10),
-               extra-cmake-modules (>= 1.4.0),
-               fcitx-libs-dev (>= 1:4.2.8),
-               intltool,
-               pkg-config,
-               qtbase5-dev,
-               qtbase5-private-dev,
-Standards-Version: 4.1.0
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Uploaders:
+ Aron Xu <aron@debian.org>,
+ YunQiang Su <syq@debian.org>,
+Build-Depends:
+ cmake (>= 3.1),
+ debhelper (>= 11~),
+ extra-cmake-modules (>= 1.4.0),
+ fcitx-libs-dev (>= 1:4.2.8),
+ intltool,
+ pkg-config,
+ qtbase5-dev,
+ qtbase5-private-dev,
+Standards-Version: 4.2.1
 Homepage: https://www.fcitx-im.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-ime/fcitx-qt5.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/fcitx-qt5.git
+Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-qt5.git
+Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-qt5
 
 Package: fcitx-frontend-qt5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: fcitx-module-dbus, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ fcitx-module-dbus,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Free Chinese Input Toy of X - Qt5 IM Module frontend
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved
@@ -37,14 +44,51 @@
  This package provides the Qt5 IM Module frontend, which is necessary
  for Fcitx users who would like to use Qt5 applications.
 
+Package: fcitx5-module-quickphrase-editor
+Architecture: any
+Depends:
+ libfcitx-qt5-data,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Replaces:
+ fcitx-module-quickphrase-editor (<< 1:4.2.9.5~),
+Breaks:
+ fcitx-module-quickphrase-editor (<< 1:4.2.9.5~),
+Provides:
+ fcitx-module-quickphrase-editor,
+Suggests:
+ fcitx-config-gtk | fcitx-config-gtk2 | kde-config-fcitx,
+Multi-Arch: same
+Description: Flexible Input Method Framework - Quick Phrase editor module
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems.
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules,
+ support for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a
+ developer-friendly API.
+ .
+ This package provides the Quick Phrase Editor module for configuration tools
+ including fcitx-config-gtk and kde-config-fcitx. It is compatible with both
+ fcitx4 and fcitx5.
+
 Package: libfcitx-qt5-1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Breaks: fcitx-libs-qt5 (<< 1.0.0)
-Replaces: fcitx-libs-qt5 (<< 1.0.0)
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: fcitx-frontend-qt5
+Pre-Depends:
+ ${misc:Pre-Depends},
+Breaks:
+ fcitx-libs-qt5 (<< 1.0.0),
+Replaces:
+ fcitx-libs-qt5 (<< 1.0.0),
+Depends:
+ libfcitx-qt5-data,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ fcitx-frontend-qt5,
 Description: Free Chinese Input Toy of X - D-Bus client libraries for Qt5
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved
@@ -62,14 +106,42 @@
   * libFcitxQt5DBusAddons - D-Bus Addons library for Qt5
   * libFcitxQt5WidgetsAddons - Widgets Addons library for Qt5
 
+Package: libfcitx-qt5-data
+Architecture: all
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+Multi-Arch: foreign
+Description: Free Chinese Input Toy of X - data files for Qt5 integration
+ Fcitx is the Free Chinese Input Toy of X, which was initially designed
+ for Chinese users, and used XIM protocol. Now it has already evolved
+ into a highly modularized, feature rich input method framework for
+ Unix-like platforms supporting a considerable amount of frontends,
+ backends and modules.
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables.
+ It is highly modularized and extensible,
+ with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
+ pure Xlib, GTK+, or KDE, and a developer-friendly API.
+ .
+ This package contains data files for fcitx Qt5 integration library and
+ Qt5 frontend.
+
 Package: libfcitx-qt5-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Breaks: fcitx-libs-qt5-dev
-Replaces: fcitx-libs-qt5-dev
-Depends: libfcitx-qt5-1 (= ${binary:Version}), ${misc:Depends}
-Recommends: fcitx-libs-dev
+Breaks:
+ fcitx-libs-qt5-dev,
+Replaces:
+ fcitx-libs-qt5-dev,
+Depends:
+ libfcitx-qt5-1 (= ${binary:Version}),
+ ${misc:Depends},
+Recommends:
+ fcitx-libs-dev,
 Description: Free Chinese Input Toy of X - Devel files for libfcitx-qt5
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 # export DH_VERBOSE=1
+
+# see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export QT_SELECT := 5
 
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/default.mk
